/*
 * gDMM Digital Multimeter Application
 *
 * File: configdialog.h
 *
 * Copyright (c) 2003-2004 Johannes Heimansberg
 *
 * gDMM is a GTK+ 2 based application which reads data from a Digital Multimeter
 * (Metex/Voltcraft or compatible, e.g. M-3650D) through the serial interface
 * (RS-232) and draws a graph out of this data. Measurements can also be 
 * saved to/loaded from disk.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

typedef struct
{
	GtkWidget *parent;
	GtkWidget *dialog, *hbox;
	GtkWidget *table;
	GtkWidget *combo, *textfield;
	GtkWidget *label1, *label2;
	GtkEntryCompletion *completion;
	GtkTreeModel *completion_model;
	ConfigFile cf;
} SettingsDialog;

void config_dialog_show(SettingsDialog *sd);
void cb_close_dialog(GtkWidget *widget, gpointer data);
void cb_save_settings(GtkWidget *widget, gpointer data);
