/*
 * gDMM Digital Multimeter Application
 *
 * File: main.h
 *
 * Copyright (c) 2003 Johannes Heimansberg
 *
 * gDMM is a GTK+ 2 based application which reads data from a Digital Multimeter
 * (Metex/Voltcraft or compatible, e.g. M-3650D) through the serial interface
 * (RS-232) and draws a graph out of this data. Measurements can also be 
 * saved to/loaded from disk.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

void        start_measurement(GtkWidget *widget, gpointer data);
void        stop_measurement(GtkWidget *widget, gpointer data);
static void *dmm_read_thread_loop();
void        start_measurement(GtkWidget *widget, gpointer data);
gint        delete_event(GtkWidget *widget, GdkEvent *event, gpointer data);
void        quit_function(GtkWidget *widget, gpointer data);
void        reset(GtkWidget *widget, GraphWidget *gwt);
void        about_function(GtkWidget *widget, gpointer data);
void        preferences_dialog(GtkWidget *widget, gpointer data);
void        open_function(GtkWidget *widget, gpointer data);
void        save_as_function(GtkWidget *widget, gpointer data);
int         main(int argc, char *argv[]);

void        zoom_in(GtkWidget *widget, GraphWidget *gw);
void        zoom_out(GtkWidget *widget, GraphWidget *gw);
void        zoom_default(GtkWidget *widget, GraphWidget *gw);
